/*
 * profiles8_790.h --
 *
 * This header file exports the Profile data types
 *
 * Copyright (c) 2008 Zarlink Semiconductor Inc.
 *
 * Project Info --
 *   File:  C:\Zarlink Semiconductor\VoicePath_SDK_II\demo_apps\mini_pbx\vp880_vpwiz_prj\LE71HE0803-MiniPBX.vpw
 *   Type:  VP880-CP5621 VoicePort MiniPBX Project (Line Module LE71HE0803)
 *   Date:  Thursday, August 19, 2004 20:05:04
 */

#ifndef PROFILES8_790_H
#define PROFILES8_790_H

#include "vp_api_types.h"
#include "app_des.h"    /* Provides Description of hardware and VCP-firmware
                         * product type*/
#ifdef VP_CC_VCP_790_SERIES


/************** Device Parameters **************/
/* Device Profile */
extern const VpProfileDataType DEV_PROFILE[];

/************** AC Filter Coefficients **************/
extern const VpProfileDataType AC_600R_FXS[];        /* AC 600 FXS Coefficients */

/************** DC Feed Parameters **************/
extern const VpProfileDataType DC_25MA_CC[];         /* 25 mA current feed */
extern const VpProfileDataType DC_40MA_RF[];         /* 40mA Resistive feed */

/************** Ring Signal Parameters **************/
extern const VpProfileDataType RING_20HZ_SINE[];     /* 20Hz, Sinewave ringing, 66Vpk */

/************** Call Progress Tones **************/
extern const VpProfileDataType TONE_DIAL[];          /* US Dial Tone */
extern const VpProfileDataType TONE_ONEKHZ_L[];      /* 1KHz tone */

/************** Cadence Definitions **************/
extern const VpProfileDataType RING_CAD_STD[];       /* Standard Ringing Cadence (2 sec on 4 sec off) */
extern const VpProfileDataType TONE_CAD_SIT[];       /* SIT Cadence */
extern const VpProfileDataType RING_CAD_NOCID[];     /* Ringing cadence no CID*/
extern const VpProfileDataType RING_CAD_US_CID[];    /* Ringing cadence with US CID */

/************** Caller ID **************/
extern const VpProfileDataType CLI_TYPE1_US[];       /* US Caller ID (Type 1 - On-Hook) */
extern const VpProfileDataType CLI_TYPE1_UK[];       /* UK Caller ID (Type 1 - On-hook) */
extern const VpProfileDataType CLI_TYPE2_US[];       /* US and UK Type 2 Caller ID */


/************** Metering Profile **************/
extern const VpProfileDataType METER_PROFILE[];

/************** FXO/Dialing Profile **************/

#endif /* VP_CC_VCP_790_SERIES */
#endif /* PROFILES8_790_H */



