/*
 * cli_utilities.h
 *
 *  This file contains Caller ID FSK Module for the VP-SDK
 *
 * Copyright (c) 2008, Zarlink Semiconductor, Inc.
 */

#ifndef CLI_UTILITIES_H
#define CLI_UTILITIES_H
#include "vp_api_types.h"

/*
 * MAX_USER_BUFFER is the size of the user's CLI buffer. The API's CLI buffer
 * will be MAX_USER_BUF * 10 / 6 + 2.
 */
#define MAX_USER_BUFFER 100
#define MAX_API_BUFFER (MAX_USER_BUFFER * 10 / 6 + 2)
/* Define Message Layer constants */
#define CLI_SDMF            4
#define CLI_MDMF            128
#define CLI_PARAM_DATETIME  1
#define CLI_PARAM_NUMBER    2
#define CLI_PARAM_NAME      7

void AppCreateBuffer(char* month,   char* day,  char* hour, char* minute,
                     uint16 number, char* name, uint8* appBuffer);

#endif /* CLI_UTILITIES_H */
