/*
 * profiles8.c --
 *
 * This file contains profile data in byte format
 *
 * Copyright (c) 2008 Zarlink Semiconductor Inc.
 *
 * Project Info --
 *   File:  L:\uvb_svn\sdk\apps\qs_le71hr0021\LE71HR0021.vpw
 *   Type:  Custom Design Using Zarlink Semiconductor VE580 - Le58QL021
 *   Date:  Tuesday, July 31, 2007 09:02:58
 *
 *   This file was generated with Profile Wizard Version: 1.7.6
 */

#include "profiles8.h"


/*** Device_Parameters for VE580 Device Family ***/
const VpProfileDataType DEV_PROFILE[] =
{
  /* Device Profile */
  0x00, 0xFF, 0x00, 0x0A,
  0x04, 0x00,  /* Profile Version, Command/Data Length */
  0x9A, 0x20, 0x00, /* Chip Configuration, PCLK Freq */
  0x40, /* TX/RX Slot, TX PCM Edge */
  0x00, /* E1 Mux Mode/Edge, Chopper Clock Mode, Double PCLK Mode */
  0x05, 0x00, 0x05 /* API Tickrate, Max Events Per Tick */
};

/************** FXS_Control_Parameters **************/

/* FXS Control For Le71HR0021 LM */
const VpProfileDataType LE79R79_FXS[] =
{
  /* FXS Line Control Profile */
  0x00, 0x0B, 0x00, 0x14, 0x00, 0x00,
  0x06, 0x08,  /* SLIC Le79R79, State Count */
  0xFF, 0x01,  /* Detect Map */
  0x08, 0x00,  /* Disconnect */
  0x09, 0x06,  /* Ringing    */
  0x02, 0x08,  /* Active     */
  0x06, 0x0E,  /* OHT        */
  0x00, 0x16,  /* Standby    */
  0x03, 0x18,  /* Active PR  */
  0x07, 0x1E   /* OHT PR     */
};

/************** AC_Coefficients **************/

/* AC Coefficients for 600ohm FXS Circuit */
const VpProfileDataType AC_600R_FXS[] =
{
  /* AC Profile */
 0x00, 0x00, 0x00, 0x48, 0x00, 0x46, 0x50, 0x0F, 0x84, 0x2B, 0xA3, 0xAB,
 0x34, 0xCA, 0xBD, 0xC3, 0x4C, 0x23, 0xB5, 0x3A, 0x21, 0x97, 0x9F, 0x01,
 0x8A, 0xDC, 0x01, 0xA4, 0xD0, 0x55, 0xD5, 0xB3, 0xA6, 0xBB, 0x8F, 0xAA,
 0x2F, 0x35, 0x67, 0x88, 0xAA, 0x60, 0x22, 0xAD, 0x7B, 0x8F, 0xAC, 0xA6,
 0x2A, 0x8F, 0x5A, 0xBF, 0x82, 0xA5, 0x71, 0x80, 0xA0, 0x00, 0x86, 0xB7,
 0xDA, 0xBA, 0xA2, 0xAB, 0x3C, 0xA8, 0x7A, 0x87, 0x59, 0x73, 0x97, 0x49,
 0x70, 0x96, 0x2E, 0x01
};

/************** Cadence_Definitions **************/

/* Standard 2on/4off Ringing Cadence */
const VpProfileDataType RING_CAD_STD[] =
{
  /* Cadence Profile */
 0x00, 0x08, 0x00, 0x0E, 0x00, 0x00, 0x00, 0x0A, 0x01, 0x07, 0x21, 0x90,
 0x01, 0x00, 0x23, 0x20, 0x40, 0x00
};

/************** FXO_Dialing_Profile **************/

/* FXO/Dialing */
const VpProfileDataType FXO_Dialing_Profile[] =
{
 /* FXO/Dialing Profile */
 0x00, 0xFE, 0x00, 0x16, 0x01, 0x00, /* Header Information */
 0x00, 0x27, 0x00, 0x28, /* DTMF On (199mS), DTMF Off (200ms) */
 0x00, 0x78, /* Flash Hook Timing (600mS) */
 0x0C, 0x08, /* Pulse Break (60mS), Pulse Make (40ms) */
 0x00, 0x28, /* Interdigit Min (200mS) */
 0xEB, 0x79, /* Device Ring Period Max (58mS), Min (30mS) */
 0x02, /* Ring Detect Min (38V) */
 0x03, /* Disconnect Threshold (10.24V) */
 0x04, /* LIU Threshold (35.84V) */
 0x3A, /* Ring Period Max (58mS) */
 0x1C, 0x32, 0x1C, 0x32  /* DTMF High/Low Freq Level (-10.0dBm0/-10.0dBm0) */
};

/* end of file profiles8.c */
