/** \file brd_init.h
 * brd_init.h
 *
 * This file provides the external interface necessary to initialize the
 * board to run VPP demo.
 *
 * Copyright (c) 2008, Zarlink Semiconductor, Inc.
 */

#ifndef BRD_INIT_H
#define BRD_INIT_H

/*
 * Define the following to test on the Zarlink UVB board. Else, on
 * customer platforms undefine the following:
 * For Zarlink UVB build environment this define is defined through the
 * makefile.
 */
/* #define LEGERITY_UVB_DEMO_BOARD */

/* Valid chip selects */
#define DIN_CON_CS1_HBI8            (0x00)
#define SMALL_CON_CS1_HBI8          (0x10)

/* Specify the Chip Select ID to be used */
#define USE_CHIP_SELECT_ID          (DIN_CON_CS1_HBI8)

extern unsigned int chipSelect;

void InitializeBoard(void);

#endif /* BRD_INIT_H */
